<template>
  <div id="results-div">
    <h1>Results Overview</h1>

    <div v-if="correctResultsArray.length > 0" id="correct-results">
      <h3>Correct Answers</h3>

      <table class="ui celled table">
        <thead>
          <tr>
            <th class="number">No.</th>
            <th class="question-header">Question</th>
            <th class="answer-header">Correct Answer</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(result, index) in correctResultsArray" :key="result[1]">
            <td class="data-label">{{ index + 1 }}</td>
            <td class="data-label" v-html="result[0]"></td>
            <td class="data-label" v-html="result[1]"></td>
          </tr>
        </tbody>
      </table>
    </div>

    <div id="wrong-results" v-if="wrongResultsArray.length > 0">
      <h3>Wrong Answers</h3>

      <table class="ui celled table">
        <thead>
          <tr>
            <th class="number">No.</th>
            <th class="question-header">Question</th>
            <th class="answer-header">Correct Answer</th>
            <th class="your-answer-header">Your Answer</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(result, index) in wrongResultsArray" :key="result[index]">
            <td class="data-label">{{ index + 1 }}</td>
            <td class="data-label" v-html="result[0]"></td>
            <td class="data-label" v-html="result[1]"></td>
            <td class="data-label" v-html="result[2]"></td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import Vue from "vue";
import store from "../store";
export default Vue.extend({
  data() {
    return {
      correctResultsArray: store.getters.getCorrectResults,
      wrongResultsArray: store.getters.getWrongResults
    };
  }
});
</script>

<style scoped>
#wrong-results {
  margin-top: 10px;
}
</style>
